# $Revision: 1.9 $, $Date: 2009/01/23 17:18:58 $
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc

%include	/usr/lib/rpm/macros.java
Summary:	Commons IO component for Java servlets
Summary(pl.UTF-8):	Komponent Commons IO dla serwletów Javy
Name:		java-commons-io
Version:	1.4
Release:	1
License:	Apache v2.0
Group:		Development/Languages/Java
Source0:	http://www.apache.org/dist/commons/io/source/commons-io-%{version}-src.tar.gz
# Source0-md5:	24b228f2d0c40ffed9204cdab015bccf
URL:		http://commons.apache.org/io/
BuildRequires:	ant-junit >= 1.5
BuildRequires:	servletapi >= 2.3
BuildRequires:	jpackage-utils
BuildRequires:	junit >= 3.8.1
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Requires:	jre
Provides:	jakarta-commons-io
Obsoletes:	jakarta-commons-io
Obsoletes:	jakarta-commons-io-doc
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Commons IO is a library of utilities to assist with developing I/O
functionality.

%description -l pl.UTF-8
Commons IO to biblioteka narzędzi pomagających przy rozwijaniu
funkcjonalności I/O.

%package javadoc
Summary:	Online manual for Commons IO
Summary(pl.UTF-8):	Dokumentacja online do Commons IO
Group:		Documentation
Requires:	jpackage-utils
Provides:	jakarta-commons-io-javadoc
Obsoletes:	jakarta-commons-io-javadoc

%description javadoc
Documentation for Commons IO.

%description javadoc -l pl.UTF-8
Dokumentacja do Commons IO.

%description javadoc -l fr.UTF-8
Javadoc pour Commons IO.

%prep
%setup -q -n commons-io-%{version}-src

%build
# for tests
CLASSPATH=$(build-classpath servlet junit)
%ant jar %{?with_javadoc:javadoc}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

cp -a target/commons-io-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -sf commons-io-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-io.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a target/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(644,root,root,755)
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-commons-io.spec,v $
Revision 1.9  2009/01/23 17:18:58  pawelz
- there is no such package "java-servletapi". BR servletapi provided by
  java-servletapi5.spec

Revision 1.8  2009/01/23 17:07:30  pawelz
- s/jakarta-servletapi/java-servletapi/

Revision 1.7  2008/12/26 01:42:40  pawelz
- it is no longer part of Jakarta project
- file renamed from jakarta-commons-io.spec

Revision 1.6  2008/10/03 19:29:43  glen
- javadeps

Revision 1.5  2008/10/03 19:16:19  glen
- update to 1.4

Revision 1.4  2007/04/16 15:34:06  qboosh
- pl desc

Revision 1.3  2007/04/11 15:48:02  baggins
- builds

Revision 1.2  2007/04/11 15:42:06  baggins
- updated md5

Revision 1.1  2007/04/11 15:41:14  baggins
- initial revision
